#pragma once
#include "global.h"
lua_State* NewScriptL(void* pCmdOpFunc);
int Tsc_TRA(lua_State* L);//传送玩家到某地图
int Tsc_DBG(lua_State* L);//调试
int Tsc_WAI(lua_State* L);//等待
int Tsc_WAS(lua_State* L);//暂停事件直到玩家站在地上
int Tsc_STY(lua_State* L);//设置文本框样式
int Tsc_MSG(lua_State* L);//显示文本框
int Tsc_MS2(lua_State* L);//上方隐藏文本框
int Tsc_MS3(lua_State* L);//上方文本框
int Tsc_MS4(lua_State* L);//自动文本框
int Tsc_MSS(lua_State* L);//设置文本框字显示的速度
int Tsc_TUR(lua_State* L);//设置文本立即显示
int Tsc_NOD(lua_State* L);//按z键继续
int Tsc_CAT(lua_State* L);//附加文本
int Tsc_CLR(lua_State* L);//清空文本
int Tsc_CLO(lua_State* L);//清空并关闭文本框
int Tsc_FCL(lua_State* L);//设置文本颜色
int Tsc_FNT(lua_State* L);//设置字体
int Tsc_FSZ(lua_State* L);//设置字号
int Tsc_FAC(lua_State* L);//设置立绘
int Tsc_CMU(lua_State* L);//播放org音乐
int Tsc_PMU(lua_State* L);//暂停org音乐
int Tsc_RMU(lua_State* L);//恢复org音乐
int Tsc_SOU(lua_State* L);//播放wav声音
int Tsc_CMU2(lua_State* L);//播放ogg音乐
int Tsc_PMU2(lua_State* L);//暂停ogg音乐
int Tsc_RMU2(lua_State* L);//恢复ogg音乐
int Tsc_PRI(lua_State* L);//在事件结束前锁住游戏
int Tsc_KEY(lua_State* L);//在事件结束前锁住键盘
int Tsc_MM0(lua_State* L);//玩家的水平速度设为0
int Tsc_MV0(lua_State* L);//玩家速度置0
int Tsc_MOV(lua_State* L);//将玩家移到坐标
int Tsc_SLR(lua_State* L);//设置玩家的面朝方向
int Tsc_GLR(lua_State* L);//取玩家的面朝方向
int Tsc_MYB(lua_State* L);//设置玩家后跳
int Tsc_FON(lua_State* L);//聚焦到Npc
int Tsc_FOM(lua_State* L);//聚焦到玩家
int Tsc_MNA(lua_State* L);//显示地图名称
int Tsc_FAI(lua_State* L);//渐入
int Tsc_FAO(lua_State* L);//渐出
int Tsc_HMC(lua_State* L);//隐藏所有玩家
int Tsc_SMC(lua_State* L);//显示所有玩家
int Tsc_ANP(lua_State* L);//设置Npc动画
int Tsc_AMC(lua_State* L);//设置玩家动画
int Tsc_ATP(lua_State* L);//设置某一类型Npc动画
int Tsc_TMC(lua_State* L);//设置玩家顶级绘制
int Tsc_TNP(lua_State* L);//设置Npc顶级绘制
int Tsc_CNP(lua_State* L);//替换NPC
int Tsc_MNP(lua_State* L);//移动NPC
int Tsc_BSL(lua_State* L);//设置Boss战斗(显示boss血条)
int Tsc_SAV(lua_State* L);//保存游戏
int Tsc_LAY(lua_State* L);//设置图层是否可见
int Tsc_FLP(lua_State* L);//设置flag
int Tsc_FLS(lua_State* L);//移除flag
int Tsc_FLJ(lua_State* L);//检查flag是否存在
int Tsc_YNJ(lua_State* L);//进入YesNo选择
int Tsc_YES(lua_State* L);//返回最后一次YNJ选择结果
int Tsc_INI(lua_State* L);//重新载入游戏
int Tsc_ESC(lua_State* L);//返回标题画面
int Tsc_W99(lua_State* L);//事件结束时保留文本框显示
int Tsc_MAP(lua_State* L);//显示游戏地图
int Tsc_PLY(lua_State* L);//取最近一次调查事件的玩家下标
int Tsc_SNP(lua_State* L);//设置NPC
int Tsc_DNP(lua_State* L);//删除NPC
int Tsc_MLP(lua_State* L);//增加玩家最大生命值
int Tsc_ECJ(lua_State* L);//检测房间里是否有某事件实体
int Tsc_LIP(lua_State* L);//恢复玩家生命
int Tsc_MIP(lua_State* L);//恢复玩家能量
int Tsc_TGR(lua_State* L);//取启动该事件的触发器类型
int Tsc_ELT(lua_State* L);//设置实体预处理表
int Tsc_SPL(lua_State* L);//设置玩家控制的全局实体
int Tsc_SGP(lua_State* L);//放置全局NPC
int Tsc_CGP(lua_State* L);//复制并放置一个全局单位
int Tsc_DGP(lua_State* L);//删除全局NPC
int Tsc_AGP(lua_State* L);//让AI控制这个全局NPC
int Tsc_P2A(lua_State* L);//玩家2AI切换启用和禁止
int Tsc_WET(lua_State* L);//调查对象是否在水中
int Tsc_EID(lua_State* L);//返回调查目标的实体id
int Tsc_RGI(lua_State* L);//注册物品
int Tsc_ITP(lua_State* L);//添加物品，返回该物品总数量
int Tsc_ITS(lua_State* L);//移除物品（-1为移除全部）,返回剩余数量
int Tsc_ITJ(lua_State* L);//玩家是否拥有某物品
int Tsc_ITC(lua_State* L);//玩家拥有某物品的数量
int Tsc_RGM(lua_State* L);//注册任务
int Tsc_MSA(lua_State* L);//添加任务，返回任务ID
int Tsc_MSD(lua_State* L);//删除任务
int Tsc_MSR(lua_State* L);//替换任务
int Tsc_MSJ(lua_State* L);//是否拥有某任务
int Tsc_SUB(lua_State* L);//切换主游戏cmd命令
int Tsc_LOC(lua_State* L);//当前物品是否被锁定
int Tsc_GIT(lua_State* L);//展示某物品
int Tsc_IMM(lua_State* L);//立即更新玩家数据到UI
int Tsc_SKP(lua_State* L);//设置快进旗
int Tsc_SKS(lua_State* L);//移除快进旗
int Tsc_SKJ(lua_State* L);//检查快进旗是否已设立
int Tsc_POS(lua_State* L);//保存和载入所有玩家坐标
int Tsc_CMP(lua_State* L);//更新地图上的瓦片
int Tsc_QUA(lua_State* L);//晃动屏幕
int Tsc_SWC(lua_State* L);//替换新的玩家角色
int Tsc_SWP(lua_State* L);//交换玩家1和玩家2的角色
int Tsc_MCN(lua_State* L);//取玩家的角色名
int Tsc_MCI(lua_State* L);//取玩家的下标
int Tsc_GOP(lua_State* L);//取当前游戏模式玩家数量
int Tsc_FLA(lua_State* L);//闪屏
int Tsc_KIL(lua_State* L);//杀死房间里某一种类型的敌人，返回击杀数量
int Tsc_STA(lua_State* L);//设置星星砖破坏效果
int Tsc_ZAM(lua_State* L);//清空MP
int Tsc_RST(lua_State* L);//复位该关卡的所有敌人
int Tsc_CRE(lua_State* L);//开始结尾致辞
int Tsc_KEN(lua_State* L);//取玩家按键名称文本
int Tsc_DIF(lua_State* L);//取当前游戏难度
int Tsc_TIM(lua_State* L);//显示并开始计时器
int Tsc_STC(lua_State* L);//保存计时器数据
int Tsc_LTC(lua_State* L);//读取计时器数据